Subject: bug#21965: 24.5; Emacs freezes when canceling at open file

From: John Wiegley <[email-masked]>
Date: Mon, 23 Nov 2015 19:39:46 -0800

>>>>> Eli Zaretskii <[email-masked]> writes:

> No. And I'm not even convinced that's where we are blocked. It could be that
> this is part of a loop that Emacs is waiting in. To prove that we are
> blocked there, one needs to attach the debugger many times and see that the
> debugger finds Emacs at _exactly_ the same instruction. Or, after attaching,
> step Emacs and see that it cannot move even a single instructions.

Fair enough.  The docs for g_main_context_acquire do say that it should return
immediately, if no other thread is holding the lock.

John